## PCI Express interface Pin Assignments
#set_property PACKAGE_PIN AA34 [get_ports "PCIE_CLK0_MGT0_N"]
#set_property PACKAGE_PIN AA33 [get_ports "PCIE_CLK0_MGT0_P"]
#set_property PACKAGE_PIN Y32  [get_ports "PCIE_CLK0_MGT1_N"]
#set_property PACKAGE_PIN Y31  [get_ports "PCIE_CLK0_MGT1_P"]
#set_property PACKAGE_PIN W34  [get_ports "PCIE_CLK1_MGT_N"]
#set_property PACKAGE_PIN W33  [get_ports "PCIE_CLK1_MGT_P"]
#set_property PACKAGE_PIN AJ13 [get_ports "PCIE_PERST_N_F"]
#set_property PACKAGE_PIN AA39 [get_ports "PCIE_RX0_N"]
#set_property PACKAGE_PIN AA38 [get_ports "PCIE_RX0_P"]
#set_property PACKAGE_PIN W39  [get_ports "PCIE_RX1_N"]
#set_property PACKAGE_PIN W38  [get_ports "PCIE_RX1_P"]
#set_property PACKAGE_PIN U39  [get_ports "PCIE_RX2_N"]
#set_property PACKAGE_PIN U38  [get_ports "PCIE_RX2_P"]
#set_property PACKAGE_PIN R39  [get_ports "PCIE_RX3_N"]
#set_property PACKAGE_PIN R38  [get_ports "PCIE_RX3_P"]
#set_property PACKAGE_PIN N39  [get_ports "PCIE_RX4_N"]
#set_property PACKAGE_PIN N38  [get_ports "PCIE_RX4_P"]
#set_property PACKAGE_PIN M37  [get_ports "PCIE_RX5_N"]
#set_property PACKAGE_PIN M36  [get_ports "PCIE_RX5_P"]
#set_property PACKAGE_PIN L39  [get_ports "PCIE_RX6_N"]
#set_property PACKAGE_PIN L38  [get_ports "PCIE_RX6_P"]
#set_property PACKAGE_PIN K37  [get_ports "PCIE_RX7_N"]
#set_property PACKAGE_PIN K36  [get_ports "PCIE_RX7_P"]
#set_property PACKAGE_PIN Y36  [get_ports "PCIE_TX0_N"]
#set_property PACKAGE_PIN Y35  [get_ports "PCIE_TX0_P"]
#set_property PACKAGE_PIN V36  [get_ports "PCIE_TX1_N"]
#set_property PACKAGE_PIN V35  [get_ports "PCIE_TX1_P"]
#set_property PACKAGE_PIN T36  [get_ports "PCIE_TX2_N"]
#set_property PACKAGE_PIN T35  [get_ports "PCIE_TX2_P"]
#set_property PACKAGE_PIN R34  [get_ports "PCIE_TX3_N"]
#set_property PACKAGE_PIN R33  [get_ports "PCIE_TX3_P"]
#set_property PACKAGE_PIN P36  [get_ports "PCIE_TX4_N"]
#set_property PACKAGE_PIN P35  [get_ports "PCIE_TX4_P"]
#set_property PACKAGE_PIN N34  [get_ports "PCIE_TX5_N"]
#set_property PACKAGE_PIN N33  [get_ports "PCIE_TX5_P"]
#set_property PACKAGE_PIN L34  [get_ports "PCIE_TX6_N"]
#set_property PACKAGE_PIN L33  [get_ports "PCIE_TX6_P"]
#set_property PACKAGE_PIN J34  [get_ports "PCIE_TX7_N"]
#set_property PACKAGE_PIN J33  [get_ports "PCIE_TX7_P"]
#set_property PACKAGE_PIN E7   [get_ports "PCIE_WAKE_N"]
#
## DDR4 SODIMM Pin Assignments
#set_property PACKAGE_PIN F11 [get_ports "DDR4_PL_A0"]
#set_property PACKAGE_PIN C13 [get_ports "DDR4_PL_A1"]
#set_property PACKAGE_PIN F14 [get_ports "DDR4_PL_A2"]
#set_property PACKAGE_PIN F10 [get_ports "DDR4_PL_A3"]
#set_property PACKAGE_PIN E11 [get_ports "DDR4_PL_A4"]
#set_property PACKAGE_PIN E13 [get_ports "DDR4_PL_A5"]
#set_property PACKAGE_PIN B13 [get_ports "DDR4_PL_A6"]
#set_property PACKAGE_PIN E12 [get_ports "DDR4_PL_A7"]
#set_property PACKAGE_PIN A11 [get_ports "DDR4_PL_A8"]
#set_property PACKAGE_PIN C12 [get_ports "DDR4_PL_A9"]
#set_property PACKAGE_PIN K13 [get_ports "DDR4_PL_A10"]
#set_property PACKAGE_PIN C15 [get_ports "DDR4_PL_A11"]
#set_property PACKAGE_PIN C11 [get_ports "DDR4_PL_A12"]
#set_property PACKAGE_PIN K10 [get_ports "DDR4_PL_A13"]
#set_property PACKAGE_PIN B14 [get_ports "DDR4_PL_A14"]
#set_property PACKAGE_PIN H12 [get_ports "DDR4_PL_A15"]
#set_property PACKAGE_PIN K12 [get_ports "DDR4_PL_A16"]
#set_property PACKAGE_PIN B15 [get_ports "DDR4_PL_ACT_N"]
#set_property PACKAGE_PIN D14 [get_ports "DDR4_PL_ALERT_N"]
#set_property PACKAGE_PIN H13 [get_ports "DDR4_PL_BA0"]
#set_property PACKAGE_PIN A14 [get_ports "DDR4_PL_BA1"]
#set_property PACKAGE_PIN B12 [get_ports "DDR4_PL_BG0"]
#set_property PACKAGE_PIN D11 [get_ports "DDR4_PL_BG1"]
#set_property PACKAGE_PIN J10 [get_ports "DDR4_PL_CK0_C"]
#set_property PACKAGE_PIN J11 [get_ports "DDR4_PL_CK0_T"]
#set_property PACKAGE_PIN J13 [get_ports "DDR4_PL_CK1_C"]
#set_property PACKAGE_PIN J14 [get_ports "DDR4_PL_CK1_T"]
#set_property PACKAGE_PIN A12 [get_ports "DDR4_PL_CKE0"]
#set_property PACKAGE_PIN A15 [get_ports "DDR4_PL_CKE1"]
#set_property PACKAGE_PIN H10 [get_ports "DDR4_PL_CS0_N"]
#set_property PACKAGE_PIN E14 [get_ports "DDR4_PL_CS1_N"]
#set_property PACKAGE_PIN K11 [get_ports "DDR4_PL_CS2_N"]
#set_property PACKAGE_PIN F12 [get_ports "DDR4_PL_CS3_N"]
#set_property PACKAGE_PIN N14 [get_ports "DDR4_PL_DM_DBI_N0"]
#set_property PACKAGE_PIN J15 [get_ports "DDR4_PL_DM_DBI_N1"]
#set_property PACKAGE_PIN G17 [get_ports "DDR4_PL_DM_DBI_N2"]
#set_property PACKAGE_PIN D18 [get_ports "DDR4_PL_DM_DBI_N3"]
#set_property PACKAGE_PIN J23 [get_ports "DDR4_PL_DM_DBI_N4"]
#set_property PACKAGE_PIN F21 [get_ports "DDR4_PL_DM_DBI_N5"]
#set_property PACKAGE_PIN C23 [get_ports "DDR4_PL_DM_DBI_N6"]
#set_property PACKAGE_PIN N20 [get_ports "DDR4_PL_DM_DBI_N7"]
#set_property PACKAGE_PIN J8 [get_ports "DDR4_PL_DM_DBI_N8"]
#set_property PACKAGE_PIN M12 [get_ports "DDR4_PL_DQ0"]
#set_property PACKAGE_PIN M13 [get_ports "DDR4_PL_DQ1"]
#set_property PACKAGE_PIN N15 [get_ports "DDR4_PL_DQ2"]
#set_property PACKAGE_PIN M17 [get_ports "DDR4_PL_DQ3"]
#set_property PACKAGE_PIN L12 [get_ports "DDR4_PL_DQ4"]
#set_property PACKAGE_PIN N13 [get_ports "DDR4_PL_DQ5"]
#set_property PACKAGE_PIN M15 [get_ports "DDR4_PL_DQ6"]
#set_property PACKAGE_PIN N17 [get_ports "DDR4_PL_DQ7"]
#set_property PACKAGE_PIN K17 [get_ports "DDR4_PL_DQ8"]
#set_property PACKAGE_PIN L17 [get_ports "DDR4_PL_DQ9"]
#set_property PACKAGE_PIN J19 [get_ports "DDR4_PL_DQ10"]
#set_property PACKAGE_PIN H16 [get_ports "DDR4_PL_DQ11"]
#set_property PACKAGE_PIN J16 [get_ports "DDR4_PL_DQ12"]
#set_property PACKAGE_PIN K16 [get_ports "DDR4_PL_DQ13"]
#set_property PACKAGE_PIN H17 [get_ports "DDR4_PL_DQ14"]
#set_property PACKAGE_PIN J18 [get_ports "DDR4_PL_DQ15"]
#set_property PACKAGE_PIN E16 [get_ports "DDR4_PL_DQ16"]
#set_property PACKAGE_PIN F15 [get_ports "DDR4_PL_DQ17"]
#set_property PACKAGE_PIN E17 [get_ports "DDR4_PL_DQ18"]
#set_property PACKAGE_PIN H18 [get_ports "DDR4_PL_DQ19"]
#set_property PACKAGE_PIN F16 [get_ports "DDR4_PL_DQ20"]
#set_property PACKAGE_PIN G15 [get_ports "DDR4_PL_DQ21"]
#set_property PACKAGE_PIN E18 [get_ports "DDR4_PL_DQ22"]
#set_property PACKAGE_PIN G18 [get_ports "DDR4_PL_DQ23"]
#set_property PACKAGE_PIN C16 [get_ports "DDR4_PL_DQ24"]
#set_property PACKAGE_PIN D15 [get_ports "DDR4_PL_DQ25"]
#set_property PACKAGE_PIN C17 [get_ports "DDR4_PL_DQ26"]
#set_property PACKAGE_PIN A19 [get_ports "DDR4_PL_DQ27"]
#set_property PACKAGE_PIN A16 [get_ports "DDR4_PL_DQ28"]
#set_property PACKAGE_PIN D16 [get_ports "DDR4_PL_DQ29"]
#set_property PACKAGE_PIN A17 [get_ports "DDR4_PL_DQ30"]
#set_property PACKAGE_PIN B19 [get_ports "DDR4_PL_DQ31"]
#set_property PACKAGE_PIN H23 [get_ports "DDR4_PL_DQ32"]
#set_property PACKAGE_PIN J21 [get_ports "DDR4_PL_DQ33"]
#set_property PACKAGE_PIN H22 [get_ports "DDR4_PL_DQ34"]
#set_property PACKAGE_PIN K24 [get_ports "DDR4_PL_DQ35"]
#set_property PACKAGE_PIN G23 [get_ports "DDR4_PL_DQ36"]
#set_property PACKAGE_PIN H21 [get_ports "DDR4_PL_DQ37"]
#set_property PACKAGE_PIN G22 [get_ports "DDR4_PL_DQ38"]
#set_property PACKAGE_PIN L24 [get_ports "DDR4_PL_DQ39"]
#set_property PACKAGE_PIN E21 [get_ports "DDR4_PL_DQ40"]
#set_property PACKAGE_PIN F20 [get_ports "DDR4_PL_DQ41"]
#set_property PACKAGE_PIN E23 [get_ports "DDR4_PL_DQ42"]
#set_property PACKAGE_PIN F24 [get_ports "DDR4_PL_DQ43"]
#set_property PACKAGE_PIN D21 [get_ports "DDR4_PL_DQ44"]
#set_property PACKAGE_PIN E22 [get_ports "DDR4_PL_DQ45"]
#set_property PACKAGE_PIN E24 [get_ports "DDR4_PL_DQ46"]
#set_property PACKAGE_PIN G20 [get_ports "DDR4_PL_DQ47"]
#set_property PACKAGE_PIN C20 [get_ports "DDR4_PL_DQ48"]
#set_property PACKAGE_PIN A20 [get_ports "DDR4_PL_DQ49"]
#set_property PACKAGE_PIN B24 [get_ports "DDR4_PL_DQ50"]
#set_property PACKAGE_PIN C21 [get_ports "DDR4_PL_DQ51"]
#set_property PACKAGE_PIN B20 [get_ports "DDR4_PL_DQ52"]
#set_property PACKAGE_PIN A21 [get_ports "DDR4_PL_DQ53"]
#set_property PACKAGE_PIN C22 [get_ports "DDR4_PL_DQ54"]
#set_property PACKAGE_PIN A24 [get_ports "DDR4_PL_DQ55"]
#set_property PACKAGE_PIN L19 [get_ports "DDR4_PL_DQ56"]
#set_property PACKAGE_PIN L21 [get_ports "DDR4_PL_DQ57"]
#set_property PACKAGE_PIN L23 [get_ports "DDR4_PL_DQ58"]
#set_property PACKAGE_PIN N19 [get_ports "DDR4_PL_DQ59"]
#set_property PACKAGE_PIN L20 [get_ports "DDR4_PL_DQ60"]
#set_property PACKAGE_PIN M19 [get_ports "DDR4_PL_DQ61"]
#set_property PACKAGE_PIN L22 [get_ports "DDR4_PL_DQ62"]
#set_property PACKAGE_PIN M20 [get_ports "DDR4_PL_DQ63"]
#set_property PACKAGE_PIN F9 [get_ports "DDR4_PL_DQ64"]
#set_property PACKAGE_PIN G7 [get_ports "DDR4_PL_DQ65"]
#set_property PACKAGE_PIN H6 [get_ports "DDR4_PL_DQ66"]
#set_property PACKAGE_PIN G6 [get_ports "DDR4_PL_DQ67"]
#set_property PACKAGE_PIN G9 [get_ports "DDR4_PL_DQ68"]
#set_property PACKAGE_PIN H7 [get_ports "DDR4_PL_DQ69"]
#set_property PACKAGE_PIN K9 [get_ports "DDR4_PL_DQ70"]
#set_property PACKAGE_PIN J9 [get_ports "DDR4_PL_DQ71"]
#set_property PACKAGE_PIN L14 [get_ports "DDR4_PL_DQS_C0"]
#set_property PACKAGE_PIN K18 [get_ports "DDR4_PL_DQS_C1"]
#set_property PACKAGE_PIN F19 [get_ports "DDR4_PL_DQS_C2"]
#set_property PACKAGE_PIN B17 [get_ports "DDR4_PL_DQS_C3"]
#set_property PACKAGE_PIN H20 [get_ports "DDR4_PL_DQS_C4"]
#set_property PACKAGE_PIN D24 [get_ports "DDR4_PL_DQS_C5"]
#set_property PACKAGE_PIN A22 [get_ports "DDR4_PL_DQS_C6"]
#set_property PACKAGE_PIN K22 [get_ports "DDR4_PL_DQS_C7"]
#set_property PACKAGE_PIN G8 [get_ports "DDR4_PL_DQS_C8"]
#set_property PACKAGE_PIN L15 [get_ports "DDR4_PL_DQS_T0"]
#set_property PACKAGE_PIN K19 [get_ports "DDR4_PL_DQS_T1"]
#set_property PACKAGE_PIN G19 [get_ports "DDR4_PL_DQS_T2"]
#set_property PACKAGE_PIN B18 [get_ports "DDR4_PL_DQS_T3"]
#set_property PACKAGE_PIN J20 [get_ports "DDR4_PL_DQS_T4"]
#set_property PACKAGE_PIN D23 [get_ports "DDR4_PL_DQS_T5"]
#set_property PACKAGE_PIN B22 [get_ports "DDR4_PL_DQS_T6"]
#set_property PACKAGE_PIN K21 [get_ports "DDR4_PL_DQS_T7"]
#set_property PACKAGE_PIN H8 [get_ports "DDR4_PL_DQS_T8"]
#set_property PACKAGE_PIN G14 [get_ports "DDR4_PL_EVENT_N"]
#set_property PACKAGE_PIN J7 [get_ports "DDR4_PL_ODT0"]
#set_property PACKAGE_PIN H11 [get_ports "DDR4_PL_ODT1"]
#set_property PACKAGE_PIN G10 [get_ports "DDR4_PL_PAR"]
#set_property PACKAGE_PIN D13 [get_ports "DDR4_PL_RST_N"]
#set_property PACKAGE_PIN AV31 [get_ports "DDR4_PS_A0"]
#set_property PACKAGE_PIN AW28 [get_ports "DDR4_PS_A1"]
#set_property PACKAGE_PIN AV28 [get_ports "DDR4_PS_A2"]
#set_property PACKAGE_PIN AU29 [get_ports "DDR4_PS_A3"]
#set_property PACKAGE_PIN AW31 [get_ports "DDR4_PS_A4"]
#set_property PACKAGE_PIN AU28 [get_ports "DDR4_PS_A5"]
#set_property PACKAGE_PIN AL29 [get_ports "DDR4_PS_A6"]
#set_property PACKAGE_PIN AM30 [get_ports "DDR4_PS_A7"]
#set_property PACKAGE_PIN AM29 [get_ports "DDR4_PS_A8"]
#set_property PACKAGE_PIN AP29 [get_ports "DDR4_PS_A9"]
#set_property PACKAGE_PIN AT31 [get_ports "DDR4_PS_A10"]
#set_property PACKAGE_PIN AT32 [get_ports "DDR4_PS_A11"]
#set_property PACKAGE_PIN AT30 [get_ports "DDR4_PS_A12"]
#set_property PACKAGE_PIN AU32 [get_ports "DDR4_PS_A13"]
#set_property PACKAGE_PIN AR28 [get_ports "DDR4_PS_A14"]
#set_property PACKAGE_PIN AP30 [get_ports "DDR4_PS_A15"]
#set_property PACKAGE_PIN AP28 [get_ports "DDR4_PS_A16"]
#set_property PACKAGE_PIN AL30 [get_ports "DDR4_PS_ACT_N"]
#set_property PACKAGE_PIN AL32 [get_ports "DDR4_PS_ALERT_N"]
#set_property PACKAGE_PIN AN30 [get_ports "DDR4_PS_BA0"]
#set_property PACKAGE_PIN AM32 [get_ports "DDR4_PS_BA1"]
#set_property PACKAGE_PIN AN32 [get_ports "DDR4_PS_BG0"]
#set_property PACKAGE_PIN AV30 [get_ports "DDR4_PS_CK_C"]
#set_property PACKAGE_PIN AU30 [get_ports "DDR4_PS_CK_T"]
#set_property PACKAGE_PIN AW30 [get_ports "DDR4_PS_CKE"]
#set_property PACKAGE_PIN AW29 [get_ports "DDR4_PS_CS_N"]
#set_property PACKAGE_PIN AU23 [get_ports "DDR4_PS_DM_DBI_N0"]
#set_property PACKAGE_PIN AT27 [get_ports "DDR4_PS_DM_DBI_N1"]
#set_property PACKAGE_PIN AL24 [get_ports "DDR4_PS_DM_DBI_N2"]
#set_property PACKAGE_PIN AM27 [get_ports "DDR4_PS_DM_DBI_N3"]
#set_property PACKAGE_PIN AV36 [get_ports "DDR4_PS_DM_DBI_N4"]
#set_property PACKAGE_PIN AT35 [get_ports "DDR4_PS_DM_DBI_N5"]
#set_property PACKAGE_PIN AM36 [get_ports "DDR4_PS_DM_DBI_N6"]
#set_property PACKAGE_PIN AJ32 [get_ports "DDR4_PS_DM_DBI_N7"]
#set_property PACKAGE_PIN AR38 [get_ports "DDR4_PS_DM_DBI_N8"]
#set_property PACKAGE_PIN AW25 [get_ports "DDR4_PS_DQ0"]
#set_property PACKAGE_PIN AW24 [get_ports "DDR4_PS_DQ1"]
#set_property PACKAGE_PIN AV25 [get_ports "DDR4_PS_DQ2"]
#set_property PACKAGE_PIN AW23 [get_ports "DDR4_PS_DQ3"]
#set_property PACKAGE_PIN AV23 [get_ports "DDR4_PS_DQ4"]
#set_property PACKAGE_PIN AV22 [get_ports "DDR4_PS_DQ5"]
#set_property PACKAGE_PIN AR24 [get_ports "DDR4_PS_DQ6"]
#set_property PACKAGE_PIN AR23 [get_ports "DDR4_PS_DQ7"]
#set_property PACKAGE_PIN AT25 [get_ports "DDR4_PS_DQ8"]
#set_property PACKAGE_PIN AP26 [get_ports "DDR4_PS_DQ9"]
#set_property PACKAGE_PIN AU25 [get_ports "DDR4_PS_DQ10"]
#set_property PACKAGE_PIN AR27 [get_ports "DDR4_PS_DQ11"]
#set_property PACKAGE_PIN AU27 [get_ports "DDR4_PS_DQ12"]
#set_property PACKAGE_PIN AV26 [get_ports "DDR4_PS_DQ13"]
#set_property PACKAGE_PIN AV27 [get_ports "DDR4_PS_DQ14"]
#set_property PACKAGE_PIN AW26 [get_ports "DDR4_PS_DQ15"]
#set_property PACKAGE_PIN AP25 [get_ports "DDR4_PS_DQ16"]
#set_property PACKAGE_PIN AP24 [get_ports "DDR4_PS_DQ17"]
#set_property PACKAGE_PIN AP23 [get_ports "DDR4_PS_DQ18"]
#set_property PACKAGE_PIN AN25 [get_ports "DDR4_PS_DQ19"]
#set_property PACKAGE_PIN AM25 [get_ports "DDR4_PS_DQ20"]
#set_property PACKAGE_PIN AK24 [get_ports "DDR4_PS_DQ21"]
#set_property PACKAGE_PIN AN23 [get_ports "DDR4_PS_DQ22"]
#set_property PACKAGE_PIN AK23 [get_ports "DDR4_PS_DQ23"]
#set_property PACKAGE_PIN AK26 [get_ports "DDR4_PS_DQ24"]
#set_property PACKAGE_PIN AL25 [get_ports "DDR4_PS_DQ25"]
#set_property PACKAGE_PIN AK28 [get_ports "DDR4_PS_DQ26"]
#set_property PACKAGE_PIN AK27 [get_ports "DDR4_PS_DQ27"]
#set_property PACKAGE_PIN AN27 [get_ports "DDR4_PS_DQ28"]
#set_property PACKAGE_PIN AN26 [get_ports "DDR4_PS_DQ29"]
#set_property PACKAGE_PIN AN28 [get_ports "DDR4_PS_DQ30"]
#set_property PACKAGE_PIN AM28 [get_ports "DDR4_PS_DQ31"]
#set_property PACKAGE_PIN AU39 [get_ports "DDR4_PS_DQ32"]
#set_property PACKAGE_PIN AU38 [get_ports "DDR4_PS_DQ33"]
#set_property PACKAGE_PIN AU37 [get_ports "DDR4_PS_DQ34"]
#set_property PACKAGE_PIN AU35 [get_ports "DDR4_PS_DQ35"]
#set_property PACKAGE_PIN AV38 [get_ports "DDR4_PS_DQ36"]
#set_property PACKAGE_PIN AW36 [get_ports "DDR4_PS_DQ37"]
#set_property PACKAGE_PIN AV35 [get_ports "DDR4_PS_DQ38"]
#set_property PACKAGE_PIN AW35 [get_ports "DDR4_PS_DQ39"]
#set_property PACKAGE_PIN AU33 [get_ports "DDR4_PS_DQ40"]
#set_property PACKAGE_PIN AV33 [get_ports "DDR4_PS_DQ41"]
#set_property PACKAGE_PIN AW34 [get_ports "DDR4_PS_DQ42"]
#set_property PACKAGE_PIN AW33 [get_ports "DDR4_PS_DQ43"]
#set_property PACKAGE_PIN AR34 [get_ports "DDR4_PS_DQ44"]
#set_property PACKAGE_PIN AR33 [get_ports "DDR4_PS_DQ45"]
#set_property PACKAGE_PIN AP33 [get_ports "DDR4_PS_DQ46"]
#set_property PACKAGE_PIN AP34 [get_ports "DDR4_PS_DQ47"]
#set_property PACKAGE_PIN AL39 [get_ports "DDR4_PS_DQ48"]
#set_property PACKAGE_PIN AM38 [get_ports "DDR4_PS_DQ49"]
#set_property PACKAGE_PIN AM39 [get_ports "DDR4_PS_DQ50"]
#set_property PACKAGE_PIN AN38 [get_ports "DDR4_PS_DQ51"]
#set_property PACKAGE_PIN AM35 [get_ports "DDR4_PS_DQ52"]
#set_property PACKAGE_PIN AM34 [get_ports "DDR4_PS_DQ53"]
#set_property PACKAGE_PIN AN36 [get_ports "DDR4_PS_DQ54"]
#set_property PACKAGE_PIN AN35 [get_ports "DDR4_PS_DQ55"]
#set_property PACKAGE_PIN AK32 [get_ports "DDR4_PS_DQ56"]
#set_property PACKAGE_PIN AK31 [get_ports "DDR4_PS_DQ57"]
#set_property PACKAGE_PIN AJ31 [get_ports "DDR4_PS_DQ58"]
#set_property PACKAGE_PIN AJ30 [get_ports "DDR4_PS_DQ59"]
#set_property PACKAGE_PIN AH30 [get_ports "DDR4_PS_DQ60"]
#set_property PACKAGE_PIN AG32 [get_ports "DDR4_PS_DQ61"]
#set_property PACKAGE_PIN AF32 [get_ports "DDR4_PS_DQ62"]
#set_property PACKAGE_PIN AG30 [get_ports "DDR4_PS_DQ63"]
#set_property PACKAGE_PIN AT36 [get_ports "DDR4_PS_DQ64"]
#set_property PACKAGE_PIN AR36 [get_ports "DDR4_PS_DQ65"]
#set_property PACKAGE_PIN AT39 [get_ports "DDR4_PS_DQ66"]
#set_property PACKAGE_PIN AP35 [get_ports "DDR4_PS_DQ67"]
#set_property PACKAGE_PIN AR39 [get_ports "DDR4_PS_DQ68"]
#set_property PACKAGE_PIN AP38 [get_ports "DDR4_PS_DQ69"]
#set_property PACKAGE_PIN AP36 [get_ports "DDR4_PS_DQ70"]
#set_property PACKAGE_PIN AP39 [get_ports "DDR4_PS_DQ71"]
#set_property PACKAGE_PIN AU24 [get_ports "DDR4_PS_DQS_C0"]
#set_property PACKAGE_PIN AT26 [get_ports "DDR4_PS_DQS_C1"]
#set_property PACKAGE_PIN AM24 [get_ports "DDR4_PS_DQS_C2"]
#set_property PACKAGE_PIN AL27 [get_ports "DDR4_PS_DQS_C3"]
#set_property PACKAGE_PIN AW37 [get_ports "DDR4_PS_DQS_C4"]
#set_property PACKAGE_PIN AU34 [get_ports "DDR4_PS_DQS_C5"]
#set_property PACKAGE_PIN AN37 [get_ports "DDR4_PS_DQS_C6"]
#set_property PACKAGE_PIN AH32 [get_ports "DDR4_PS_DQS_C7"]
#set_property PACKAGE_PIN AT37 [get_ports "DDR4_PS_DQS_C8"]
#set_property PACKAGE_PIN AT24 [get_ports "DDR4_PS_DQS_T0"]
#set_property PACKAGE_PIN AR26 [get_ports "DDR4_PS_DQS_T1"]
#set_property PACKAGE_PIN AM23 [get_ports "DDR4_PS_DQS_T2"]
#set_property PACKAGE_PIN AL26 [get_ports "DDR4_PS_DQS_T3"]
#set_property PACKAGE_PIN AV37 [get_ports "DDR4_PS_DQS_T4"]
#set_property PACKAGE_PIN AT34 [get_ports "DDR4_PS_DQS_T5"]
#set_property PACKAGE_PIN AM37 [get_ports "DDR4_PS_DQS_T6"]
#set_property PACKAGE_PIN AH31 [get_ports "DDR4_PS_DQS_T7"]
#set_property PACKAGE_PIN AR37 [get_ports "DDR4_PS_DQS_T8"]
#set_property PACKAGE_PIN AV32 [get_ports "DDR4_PS_ODT"]
#set_property PACKAGE_PIN AN31 [get_ports "DDR4_PS_PAR"]
#set_property PACKAGE_PIN AM33 [get_ports "DDR4_PS_RST_N"]
#set_property PACKAGE_PIN G12 [get_ports "SYS_CLK_DDR4_PL_N"]
#set_property PACKAGE_PIN G13 [get_ports "SYS_CLK_DDR4_PL_P"]

# Vita 57.4 FMC+ Pin Assignments
# There is an issue with C2M signals within the framework. Once resolved the *_C2M_* signals can be uncommented. Once uncommented the 'unconnected' platform C2M platform signals need to be removed in the zrf8_48dr.xml to indicate they are now being used and the names are unchanged.

set_property PACKAGE_PIN AP21    [get_ports {FMC_PL_CLK0_M2C_N}];
set_property PACKAGE_PIN AN21    [get_ports {FMC_PL_CLK0_M2C_P}];

# IOSTANDARD sometimes needed here to satisfy a build issue, but otherwise the clock isn't actually used/required for any assembly
#set_property IOSTANDARD LVCMOS18 [get_ports {FMC_PL_CLK0_M2C_N}];
#set_property IOSTANDARD LVCMOS18 [get_ports {FMC_PL_CLK0_M2C_P}];

#set_property PACKAGE_PIN E34     [get_ports {FMC_PL_DP0_C2M_N}];
#set_property PACKAGE_PIN E33     [get_ports {FMC_PL_DP0_C2M_P}];

set_property PACKAGE_PIN F37     [get_ports {FMC_PL_DP0_M2C_N}];
set_property PACKAGE_PIN F36     [get_ports {FMC_PL_DP0_M2C_P}];

#set_property PACKAGE_PIN H32     [get_ports {FMC_PL_DP1_C2M_N}];
#set_property PACKAGE_PIN H31     [get_ports {FMC_PL_DP1_C2M_P}];

set_property PACKAGE_PIN J39     [get_ports {FMC_PL_DP1_M2C_N}];
set_property PACKAGE_PIN J38     [get_ports {FMC_PL_DP1_M2C_P}];

#set_property PACKAGE_PIN G34     [get_ports {FMC_PL_DP2_C2M_N}];
#set_property PACKAGE_PIN G33     [get_ports {FMC_PL_DP2_C2M_P}];

set_property PACKAGE_PIN H37     [get_ports {FMC_PL_DP2_M2C_N}];
set_property PACKAGE_PIN H36     [get_ports {FMC_PL_DP2_M2C_P}];

#set_property PACKAGE_PIN F32     [get_ports {FMC_PL_DP3_C2M_N}];
#set_property PACKAGE_PIN F31     [get_ports {FMC_PL_DP3_C2M_P}];

set_property PACKAGE_PIN G39     [get_ports {FMC_PL_DP3_M2C_N}];
set_property PACKAGE_PIN G38     [get_ports {FMC_PL_DP3_M2C_P}];

#set_property PACKAGE_PIN C34     [get_ports {FMC_PL_DP4_C2M_N}];
#set_property PACKAGE_PIN C33     [get_ports {FMC_PL_DP4_C2M_P}];

set_property PACKAGE_PIN D37     [get_ports {FMC_PL_DP4_M2C_N}];
set_property PACKAGE_PIN D36     [get_ports {FMC_PL_DP4_M2C_P}];

#set_property PACKAGE_PIN A34     [get_ports {FMC_PL_DP5_C2M_N}];
#set_property PACKAGE_PIN A33     [get_ports {FMC_PL_DP5_C2M_P}];

set_property PACKAGE_PIN B37     [get_ports {FMC_PL_DP5_M2C_N}];
set_property PACKAGE_PIN B36     [get_ports {FMC_PL_DP5_M2C_P}];

#set_property PACKAGE_PIN B32     [get_ports {FMC_PL_DP6_C2M_N}];
#set_property PACKAGE_PIN B31     [get_ports {FMC_PL_DP6_C2M_P}];

set_property PACKAGE_PIN C39     [get_ports {FMC_PL_DP6_M2C_N}];
set_property PACKAGE_PIN C38     [get_ports {FMC_PL_DP6_M2C_P}];

#set_property PACKAGE_PIN D32     [get_ports {FMC_PL_DP7_C2M_N}];
#set_property PACKAGE_PIN D31     [get_ports {FMC_PL_DP7_C2M_P}];

set_property PACKAGE_PIN E39     [get_ports {FMC_PL_DP7_M2C_N}];
set_property PACKAGE_PIN E38     [get_ports {FMC_PL_DP7_M2C_P}];

set_property PACKAGE_PIN T32     [get_ports {FMC_PL_GBTCLK0_M2C_N}];
set_property PACKAGE_PIN T31     [get_ports {FMC_PL_GBTCLK0_M2C_P}];

set_property PACKAGE_PIN M32     [get_ports {FMC_PL_GBTCLK1_M2C_N}];
set_property PACKAGE_PIN M31     [get_ports {FMC_PL_GBTCLK1_M2C_P}];

set_property PACKAGE_PIN AR18    [get_ports {FMC_PL_LA00_N_CC}];
set_property PACKAGE_PIN AP18    [get_ports {FMC_PL_LA00_P_CC}];

set_property PACKAGE_PIN AN20    [get_ports {FMC_PL_LA01_N_CC}];
set_property PACKAGE_PIN AM20    [get_ports {FMC_PL_LA01_P_CC}];

set_property PACKAGE_PIN AT22    [get_ports {FMC_PL_LA02_N}];
set_property PACKAGE_PIN AR22    [get_ports {FMC_PL_LA02_P}];

set_property PACKAGE_PIN AT21    [get_ports {FMC_PL_LA03_N}];
set_property PACKAGE_PIN AR21    [get_ports {FMC_PL_LA03_P}];

set_property PACKAGE_PIN AW21    [get_ports {FMC_PL_LA04_N}];
set_property PACKAGE_PIN AV21    [get_ports {FMC_PL_LA04_P}];

set_property PACKAGE_PIN AK21    [get_ports {FMC_PL_LA05_N}];
set_property PACKAGE_PIN AK22    [get_ports {FMC_PL_LA05_P}];

set_property PACKAGE_PIN AV18    [get_ports {FMC_PL_LA06_N}];
set_property PACKAGE_PIN AU18    [get_ports {FMC_PL_LA06_P}];

set_property PACKAGE_PIN AL20    [get_ports {FMC_PL_LA07_N}];
set_property PACKAGE_PIN AL21    [get_ports {FMC_PL_LA07_P}];

set_property PACKAGE_PIN AM22    [get_ports {FMC_PL_LA08_N}];
set_property PACKAGE_PIN AL22    [get_ports {FMC_PL_LA08_P}];

set_property PACKAGE_PIN AT19    [get_ports {FMC_PL_LA09_N}];
set_property PACKAGE_PIN AR19    [get_ports {FMC_PL_LA09_P}];

set_property PACKAGE_PIN AV17    [get_ports {FMC_PL_LA10_N}];
set_property PACKAGE_PIN AU17    [get_ports {FMC_PL_LA10_P}];

set_property PACKAGE_PIN AM19    [get_ports {FMC_PL_LA11_N}];
set_property PACKAGE_PIN AL19    [get_ports {FMC_PL_LA11_P}];

set_property PACKAGE_PIN AH20    [get_ports {FMC_PL_LA12_N}];
set_property PACKAGE_PIN AG20    [get_ports {FMC_PL_LA12_P}];

set_property PACKAGE_PIN AJ19    [get_ports {FMC_PL_LA13_N}];
set_property PACKAGE_PIN AJ20    [get_ports {FMC_PL_LA13_P}];

set_property PACKAGE_PIN AK18    [get_ports {FMC_PL_LA14_N}];
set_property PACKAGE_PIN AJ18    [get_ports {FMC_PL_LA14_P}];

set_property PACKAGE_PIN AT17    [get_ports {FMC_PL_LA15_N}];
set_property PACKAGE_PIN AR17    [get_ports {FMC_PL_LA15_P}];

set_property PACKAGE_PIN AH18    [get_ports {FMC_PL_LA16_N}];
set_property PACKAGE_PIN AG18    [get_ports {FMC_PL_LA16_P}];

set_property PACKAGE_PIN AR8     [get_ports {FMC_PL_LA17_N_CC}];
set_property PACKAGE_PIN AP8     [get_ports {FMC_PL_LA17_P_CC}];

set_property PACKAGE_PIN AR9     [get_ports {FMC_PL_LA18_N_CC}];
set_property PACKAGE_PIN AP9     [get_ports {FMC_PL_LA18_P_CC}];

set_property PACKAGE_PIN AV12    [get_ports {FMC_PL_LA19_N}];
set_property PACKAGE_PIN AU12    [get_ports {FMC_PL_LA19_P}];

set_property PACKAGE_PIN AW8     [get_ports {FMC_PL_LA20_N}];
set_property PACKAGE_PIN AW9     [get_ports {FMC_PL_LA20_P}];

set_property PACKAGE_PIN AN13    [get_ports {FMC_PL_LA21_N}];
set_property PACKAGE_PIN AM13    [get_ports {FMC_PL_LA21_P}];

set_property PACKAGE_PIN AU10    [get_ports {FMC_PL_LA22_N}];
set_property PACKAGE_PIN AT10    [get_ports {FMC_PL_LA22_P}];

set_property PACKAGE_PIN AW11    [get_ports {FMC_PL_LA23_N}];
set_property PACKAGE_PIN AV11    [get_ports {FMC_PL_LA23_P}];

set_property PACKAGE_PIN AN7     [get_ports {FMC_PL_LA24_N}];
set_property PACKAGE_PIN AN8     [get_ports {FMC_PL_LA24_P}];

set_property PACKAGE_PIN AM14    [get_ports {FMC_PL_LA25_N}];
set_property PACKAGE_PIN AL14    [get_ports {FMC_PL_LA25_P}];

set_property PACKAGE_PIN AN12    [get_ports {FMC_PL_LA26_N}];
set_property PACKAGE_PIN AM12    [get_ports {FMC_PL_LA26_P}];

set_property PACKAGE_PIN AR11    [get_ports {FMC_PL_LA27_N}];
set_property PACKAGE_PIN AR12    [get_ports {FMC_PL_LA27_P}];

set_property PACKAGE_PIN AM10    [get_ports {FMC_PL_LA28_N}];
set_property PACKAGE_PIN AL10    [get_ports {FMC_PL_LA28_P}];

set_property PACKAGE_PIN AK14    [get_ports {FMC_PL_LA29_N}];
set_property PACKAGE_PIN AJ14    [get_ports {FMC_PL_LA29_P}];

set_property PACKAGE_PIN AH12    [get_ports {FMC_PL_LA30_N}];
set_property PACKAGE_PIN AG12    [get_ports {FMC_PL_LA30_P}];

set_property PACKAGE_PIN AK12    [get_ports {FMC_PL_LA31_N}];
set_property PACKAGE_PIN AJ12    [get_ports {FMC_PL_LA31_P}];

set_property PACKAGE_PIN AL7     [get_ports {FMC_PL_LA32_N}];
set_property PACKAGE_PIN AL8     [get_ports {FMC_PL_LA32_P}];

set_property PACKAGE_PIN AM9     [get_ports {FMC_PL_LA33_N}];
set_property PACKAGE_PIN AL9     [get_ports {FMC_PL_LA33_P}];

set_property PACKAGE_PIN A10     [get_ports {FMC_PL_PG_M2C}];
set_property IOSTANDARD LVCMOS33 [get_ports {FMC_PL_PG_M2C}];

set_property PACKAGE_PIN AP11    [get_ports {FMC_PL_REFCLK_M2C_N}];
set_property PACKAGE_PIN AN11    [get_ports {FMC_PL_REFCLK_M2C_P}];

#set_property PACKAGE_PIN AW10    [get_ports {FMC_PL_SYNC_C2M_N}];
#set_property PACKAGE_PIN AV10    [get_ports {FMC_PL_SYNC_C2M_P}];

set_property PACKAGE_PIN AP10    [get_ports {FMC_PL_SYNC_M2C_N}];
set_property PACKAGE_PIN AN10    [get_ports {FMC_PL_SYNC_M2C_P}];

set_property PACKAGE_PIN B10     [get_ports {FMC_PL_HSPC_PRSNT_M2C_L}];
set_property IOSTANDARD LVCMOS33 [get_ports {FMC_PL_HSPC_PRSNT_M2C_L}];

## ADC Pin Assignments
#set_property PACKAGE_PIN AF4 [get_ports "ADC_224_REFCLK_N"]
#set_property PACKAGE_PIN AF5 [get_ports "ADC_224_REFCLK_P"]
#set_property PACKAGE_PIN AD4 [get_ports "ADC_225_REFCLK_N"]
#set_property PACKAGE_PIN AD5 [get_ports "ADC_225_REFCLK_P"]
#oset_property PACKAGE_PIN AB4 [get_ports "ADC_226_REFCLK_N"]
#set_property PACKAGE_PIN AB5 [get_ports "ADC_226_REFCLK_P"]
#set_property PACKAGE_PIN Y4 [get_ports "ADC_227_REFCLK_N"]
#set_property PACKAGE_PIN Y5 [get_ports "ADC_227_REFCLK_P"]
#set_property PACKAGE_PIN AP1 [get_ports "ADC_IN01_224_N"]
#set_property PACKAGE_PIN AP2 [get_ports "ADC_IN01_224_P"]
#set_property PACKAGE_PIN AK1 [get_ports "ADC_IN01_225_N"]
#set_property PACKAGE_PIN AK2 [get_ports "ADC_IN01_225_P"]
#set_property PACKAGE_PIN AF1 [get_ports "ADC_IN01_226_N"]
#set_property PACKAGE_PIN AF2 [get_ports "ADC_IN01_226_P"]
#set_property PACKAGE_PIN AB1 [get_ports "ADC_IN01_227_N"]
#set_property PACKAGE_PIN AB2 [get_ports "ADC_IN01_227_P"]
#set_property PACKAGE_PIN AM1 [get_ports "ADC_IN23_224_N"]
#set_property PACKAGE_PIN AM2 [get_ports "ADC_IN23_224_P"]
#set_property PACKAGE_PIN AH1 [get_ports "ADC_IN23_225_N"]
#set_property PACKAGE_PIN AH2 [get_ports "ADC_IN23_225_P"]
#set_property PACKAGE_PIN AD1 [get_ports "ADC_IN23_226_N"]
#set_property PACKAGE_PIN AD2 [get_ports "ADC_IN23_226_P"]
#set_property PACKAGE_PIN Y1 [get_ports "ADC_IN23_227_N"]
#set_property PACKAGE_PIN Y2 [get_ports "ADC_IN23_227_P"]
#
## DAC Pin Assignments
#set_property PACKAGE_PIN R4 [get_ports "DAC_228_REFCLK_N"]
#set_property PACKAGE_PIN R5 [get_ports "DAC_228_REFCLK_P"]
#set_property PACKAGE_PIN U4 [get_ports "DAC_228_SYSREF_N"]
#set_property PACKAGE_PIN U5 [get_ports "DAC_228_SYSREF_P"]
#set_property PACKAGE_PIN N4 [get_ports "DAC_229_REFCLK_N"]
#set_property PACKAGE_PIN N5 [get_ports "DAC_229_REFCLK_P"]
#set_property PACKAGE_PIN U1 [get_ports "DAC_VOUT0_228_N"]
#set_property PACKAGE_PIN U2 [get_ports "DAC_VOUT0_228_P"]
#set_property PACKAGE_PIN J1 [get_ports "DAC_VOUT0_229_N"]
#set_property PACKAGE_PIN J2 [get_ports "DAC_VOUT0_229_P"]
#set_property PACKAGE_PIN R1 [get_ports "DAC_VOUT1_228_N"]
#set_property PACKAGE_PIN R2 [get_ports "DAC_VOUT1_228_P"]
#set_property PACKAGE_PIN G1 [get_ports "DAC_VOUT1_229_N"]
#set_property PACKAGE_PIN G2 [get_ports "DAC_VOUT1_229_P"]
#set_property PACKAGE_PIN N1 [get_ports "DAC_VOUT2_228_N"]
#set_property PACKAGE_PIN N2 [get_ports "DAC_VOUT2_228_P"]
#set_property PACKAGE_PIN E1 [get_ports "DAC_VOUT2_229_N"]
#set_property PACKAGE_PIN E2 [get_ports "DAC_VOUT2_229_P"]
#set_property PACKAGE_PIN L1 [get_ports "DAC_VOUT3_228_N"]
#set_property PACKAGE_PIN L2 [get_ports "DAC_VOUT3_228_P"]
#set_property PACKAGE_PIN C1 [get_ports "DAC_VOUT3_229_N"]
#set_property PACKAGE_PIN C2 [get_ports "DAC_VOUT3_229_P"]
#
## USB-TO_UART Pin Assignments
#set_property PACKAGE_PIN AU7 [get_ports "UART_PL_CTS"]
#set_property PACKAGE_PIN AR6 [get_ports "UART_PL_GPIO0"]
#set_property PACKAGE_PIN AU5 [get_ports "UART_PL_GPIO1"]
#set_property PACKAGE_PIN AT7 [get_ports "UART_PL_RST_N"]
#set_property PACKAGE_PIN AV7 [get_ports "UART_PL_RTS"]
#set_property PACKAGE_PIN AU8 [get_ports "UART_PL_RXD"]
#set_property PACKAGE_PIN AR7 [get_ports "UART_PL_SUSPEND_N"]
#set_property PACKAGE_PIN AV8 [get_ports "UART_PL_TXD"]
#set_property PACKAGE_PIN AT6 [get_ports "USB_PL_PERI_PWR"]
#set_property PACKAGE_PIN Y27 [get_ports "MIO18_UART0_RXD"]
#set_property PACKAGE_PIN W28 [get_ports "MIO19_UART0_TXD"]
#
## ARM Trace/Debug port (J22) Pin Assignments
#set_property PACKAGE_PIN AL16 [get_ports "TRACECLK"]
#set_property PACKAGE_PIN AP16 [get_ports "TRACECTL"]
#set_property PACKAGE_PIN AR16 [get_ports "TRACEDATA0"]
#set_property PACKAGE_PIN AN17 [get_ports "TRACEDATA1"]
#set_property PACKAGE_PIN AR13 [get_ports "TRACEDATA10"]
#set_property PACKAGE_PIN AU13 [get_ports "TRACEDATA11"]
#set_property PACKAGE_PIN AK16 [get_ports "TRACEDATA12"]
#set_property PACKAGE_PIN AL15 [get_ports "TRACEDATA13"]
#set_property PACKAGE_PIN AH17 [get_ports "TRACEDATA14"]
#set_property PACKAGE_PIN AJ16 [get_ports "TRACEDATA15"]
#set_property PACKAGE_PIN AM17 [get_ports "TRACEDATA2"]
#set_property PACKAGE_PIN AF16 [get_ports "TRACEDATA3"]
#set_property PACKAGE_PIN AP14 [get_ports "TRACEDATA4"]
#set_property PACKAGE_PIN AR14 [get_ports "TRACEDATA5"]
#set_property PACKAGE_PIN AP13 [get_ports "TRACEDATA6"]
#set_property PACKAGE_PIN AT15 [get_ports "TRACEDATA7"]
#set_property PACKAGE_PIN AN16 [get_ports "TRACEDATA8"]
#set_property PACKAGE_PIN AK17 [get_ports "TRACEDATA9"]
#set_property PACKAGE_PIN AU14 [get_ports "TRACEDBGACK"]
#set_property PACKAGE_PIN AJ15 [get_ports "TRACEDBGRQ"]
#set_property PACKAGE_PIN AU15 [get_ports "TRACEEXTTRIG"]
#set_property PACKAGE_PIN AL17 [get_ports "TRACERTCK"]
#set_property PACKAGE_PIN AH15 [get_ports "TRACESRST_B"]
#set_property PACKAGE_PIN AG17 [get_ports "TRACETCK"]
#set_property PACKAGE_PIN AT16 [get_ports "TRACETDI"]
#set_property PACKAGE_PIN AH16 [get_ports "TRACETDO"]
#set_property PACKAGE_PIN AF17 [get_ports "TRACETMS"]
#set_property PACKAGE_PIN AP15 [get_ports "TRACETRST_B"]
#
## SDIO Interface Pin Assignments
#set_property PACKAGE_PIN B28 [get_ports "MIO39_SDIO_SEL"]
#set_property PACKAGE_PIN D26 [get_ports "MIO40_SDIO_DIR_CMD"]
#set_property PACKAGE_PIN C28 [get_ports "MIO41_SDIO_DIR_DAT"]
#set_property PACKAGE_PIN E28 [get_ports "MIO42_SDIO_DIR_DAT"]
#set_property PACKAGE_PIN F27 [get_ports "MIO44_SDIO_PROTECT"]
#set_property PACKAGE_PIN G27 [get_ports "MIO45_SDIO_DETECT"]
#set_property PACKAGE_PIN A29 [get_ports "MIO46_SDIO_DAT0"]
#set_property PACKAGE_PIN C29 [get_ports "MIO47_SDIO_DAT1"]
#set_property PACKAGE_PIN D29 [get_ports "MIO48_SDIO_DAT2"]
#set_property PACKAGE_PIN B29 [get_ports "MIO49_SDIO_DAT3"]
#set_property PACKAGE_PIN F29 [get_ports "MIO50_SDIO_CMD"]
#set_property PACKAGE_PIN E29 [get_ports "MIO51_SDIO_CLK"]
#
## Ethernet Interface Pin Assignments
#set_property PACKAGE_PIN K27 [get_ports "MIO64_ETH_TX_CLK"]
#set_property PACKAGE_PIN L27 [get_ports "MIO65_ETH_TX_D0"]
#set_property PACKAGE_PIN N27 [get_ports "MIO66_ETH_TX_D1"]
#set_property PACKAGE_PIN J28 [get_ports "MIO67_ETH_TX_D2"]
#set_property PACKAGE_PIN H29 [get_ports "MIO68_ETH_TX_D3"]
#set_property PACKAGE_PIN M27 [get_ports "MIO69_ETH_TX_CTRL"]
#set_property PACKAGE_PIN K28 [get_ports "MIO70_ETH_RX_CLK"]
#set_property PACKAGE_PIN H28 [get_ports "MIO71_ETH_RX_D0"]
#set_property PACKAGE_PIN J29 [get_ports "MIO72_ETH_RX_D1"]
#set_property PACKAGE_PIN K29 [get_ports "MIO73_ETH_RX_D2"]
#set_property PACKAGE_PIN M28 [get_ports "MIO74_ETH_RX_D3"]
#set_property PACKAGE_PIN N28 [get_ports "MIO75_ETH_RX_CTRL"]
#set_property PACKAGE_PIN M29 [get_ports "MIO76_ETH_MDC"]
#set_property PACKAGE_PIN L29 [get_ports "MIO77_ETH_MDIO"]
#
## Serial Port Interface Pin Assignments
#set_property PACKAGE_PIN AD37 [get_ports "DP_TX0_N"]
#set_property PACKAGE_PIN AD36 [get_ports "DP_TX0_P"]
#set_property PACKAGE_PIN AF37 [get_ports "DP_TX1_N"]
#set_property PACKAGE_PIN AF36 [get_ports "DP_TX1_P"]
#set_property PACKAGE_PIN C25 [get_ports "MIO27_DP_AUX_OUT"]
#set_property PACKAGE_PIN F25 [get_ports "MIO28_DP_HPD"]
#set_property PACKAGE_PIN B25 [get_ports "MIO29_DP_OE"]
#set_property PACKAGE_PIN D25 [get_ports "MIO30_DP_AUX_IN"]
#
## USB Interface Pin Assignments
#set_property PACKAGE_PIN N26 [get_ports "MIO52_USB_CLK"]
#set_property PACKAGE_PIN L25 [get_ports "MIO53_USB_DIR"]
#set_property PACKAGE_PIN M26 [get_ports "MIO54_USB_D2"]
#set_property PACKAGE_PIN J25 [get_ports "MIO55_USB_NXT"]
#set_property PACKAGE_PIN L26 [get_ports "MIO56_USB_D0"]
#set_property PACKAGE_PIN H25 [get_ports "MIO57_USB_D1"]
#set_property PACKAGE_PIN H26 [get_ports "MIO58_USB_STP"]
#set_property PACKAGE_PIN H27 [get_ports "MIO59_USB_D3"]
#set_property PACKAGE_PIN W26 [get_ports "MIO6_USER_SW1"]
#set_property PACKAGE_PIN J26 [get_ports "MIO60_USB_D4"]
#set_property PACKAGE_PIN G28 [get_ports "MIO61_USB_D5"]
#set_property PACKAGE_PIN K26 [get_ports "MIO62_USB_D6"]
#set_property PACKAGE_PIN G29 [get_ports "MIO63_USB_D7"]
#set_property PACKAGE_PIN AG39 [get_ports "USB3_RX_N"]
#set_property PACKAGE_PIN AG38 [get_ports "USB3_RX_P"]
#set_property PACKAGE_PIN AH37 [get_ports "USB3_TX_N"]
#set_property PACKAGE_PIN AH36 [get_ports "USB3_TX_P"]
#
## SATA Interface Pin Assignments
#set_property PACKAGE_PIN AJ39 [get_ports "SATA_RX_N"]
#set_property PACKAGE_PIN AJ38 [get_ports "SATA_RX_P"]
#set_property PACKAGE_PIN AK37 [get_ports "SATA_TX_N"]
#set_property PACKAGE_PIN AK36 [get_ports "SATA_TX_P"]
#
## 1-PPS Interface Pin Assignments
#set_property PACKAGE_PIN B7 [get_ports "IRIG_ADC_CS_N"]
#set_property PACKAGE_PIN D8 [get_ports "IRIG_ADC_SCLK"]
#set_property PACKAGE_PIN A7 [get_ports "IRIG_ADC_SDO"]
#set_property PACKAGE_PIN B9 [get_ports "IRIG_COMP_OUT"]
#set_property PACKAGE_PIN B8 [get_ports "IRIG_TRIG_OUT"]
#
## Reference Designators Pin Assignments
set_property PACKAGE_PIN A6 [get_ports {PL_USER_LED1_G}];
set_property IOSTANDARD LVCMOS33 [get_ports {PL_USER_LED1_G}];
#set_property PACKAGE_PIN C6 [get_ports "PL_USER_LED2_G"]
#set_property PACKAGE_PIN D6 [get_ports "PL_USER_LED3_R"]
#set_property PACKAGE_PIN E6 [get_ports "PL_USER_LED4_R"]
#set_property PACKAGE_PIN PB3 [get_ports "PL_USER_PB AT5"]
#set_property PACKAGE_PIN S1 [get_ports "PL_USER_SW1 D20"]
#set_property PACKAGE_PIN S1 [get_ports "PL_USER_SW2 A25"]
#set_property PACKAGE_PIN S1 [get_ports "PL_USER_SW3 B23"]
#set_property PACKAGE_PIN S1 [get_ports "PL_USER_SW4 D19"]
#set_property PACKAGE_PIN R28 [get_ports "MIO13_USER_LED1_G"]
#set_property PACKAGE_PIN V28 [get_ports "MIO20_USER_LED2_G"]
#set_property PACKAGE_PIN V29 [get_ports "MIO21_USER_LED3_R"]
#set_property PACKAGE_PIN Y28 [get_ports "MIO22_USER_LED4_R"]
#set_property PACKAGE_PIN U29 [get_ports "MIO23_USER_PB"]
#set_property PACKAGE_PIN W26 [get_ports "MIO6_USER_SW1"]
#set_property PACKAGE_PIN Y29 [get_ports "MIO24_USER_SW2"]
#set_property PACKAGE_PIN W29 [get_ports "MIO25_USER_SW3"]
#set_property PACKAGE_PIN D28 [get_ports "MIO43_USER_SW4"]
#set_property PACKAGE_PIN AB28 [get_ports "PS_SRST_N"]
#set_property PACKAGE_PIN AA27 [get_ports "PS_PROG_N"]
#set_property PACKAGE_PIN AA16 [get_ports "XDAC_DXN"]
#set_property PACKAGE_PIN AA17 [get_ports "XDAC_DXP"]
#set_property PACKAGE_PIN Y16 [get_ports "XDAC_VN_F"]
#set_property PACKAGE_PIN W17 [get_ports "XDAC_VP_F"]
#set_property PACKAGE_PIN AW13 [get_ports "FAN_PWM"]

# SPI Bus Signals
set_property PACKAGE_PIN F6      [get_ports {RF_PLL_CSB}];
set_property IOSTANDARD LVCMOS33 [get_ports {RF_PLL_CSB}];
set_property PACKAGE_PIN A5      [get_ports {RF_PLL_SCK}];
set_property IOSTANDARD LVCMOS33 [get_ports {RF_PLL_SCK}];
set_property PACKAGE_PIN B5      [get_ports {RF_PLL_SDI}];
set_property IOSTANDARD LVCMOS33 [get_ports {RF_PLL_SDI}];
set_property PACKAGE_PIN C5      [get_ports {RF_PLL_MUXout}];
set_property IOSTANDARD LVCMOS33 [get_ports {RF_PLL_MUXout}];

# OpenCPI additions to the above, which is unmodified from the original
create_clock -name clk_fpga_0 -period 10.000 [get_pins -hier * -filter {NAME =~ */ps/U0/U0/PS8_i/PLCLK[0]}]
set_property DONT_TOUCH true [get_cells "ftop/pfconfig_i/zrf8_48dr_i/worker/ps/U0/U0/PS8_i"]
